GFFErrorHandler.SkipRecordErrorHandler (BioJava-1.5-beta API)
Keywords: org.biojava.bio.program.gff.GFFErrorHandler.SkipRecordErrorHandler class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.program.gff
Class GFFErrorHandler.SkipRecordErrorHandler

    java.lang.Object
      org.biojava.bio.program.gff.GFFErrorHandler.SkipRecordErrorHandler

All Implemented Interfaces:
  GFFErrorHandler

Enclosing interface:
  GFFErrorHandler

    public static class GFFErrorHandler.SkipRecordErrorHandler

extends Object
implements GFFErrorHandler

Nested Class Summary

Nested classes/interfaces inherited from interface org.biojava.bio.program.gff.GFFErrorHandler
`GFFErrorHandler.AbortErrorHandler, GFFErrorHandler.SkipRecordErrorHandler`

Field Summary

Fields inherited from interface org.biojava.bio.program.gff.GFFErrorHandler
`ABORT_PARSING, SKIP_RECORD`

Constructor Summary
`GFFErrorHandler.SkipRecordErrorHandler()`

Method Summary
`int` | `invalidEnd(String token)` The `end' field of the GFF entry was not a valid value.
`int` | `invalidFrame(String token)` The `frame' field of the GFF entry was not a valid value.
`double` | `invalidScore(String token)` The `score' field of the GFF entry was not a valid value.
`int` | `invalidStart(String token)` The `start' field of the GFF entry was not a valid value.
`StrandedFeature.Strand` | `invalidStrand(String token)` The `strand' field of the GFF entry was not a valid value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GFFErrorHandler.SkipRecordErrorHandler

    public GFFErrorHandler.SkipRecordErrorHandler()

Method Detail

### invalidStart

    public int invalidStart(String token)
                     throws IgnoreRecordException

  Description copied from interface: `GFFErrorHandler`
  The `start' field of the GFF entry was not a valid value.

  Specified by:
    `invalidStart` in interface `GFFErrorHandler`
  Parameters:
    `token` - The start token found.
  Returns:
    A parsed value, if this is possible
  Throws:
    `IgnoreRecordException` - If this record should be silently skipped.

### invalidEnd

    public int invalidEnd(String token)
                   throws IgnoreRecordException

  Description copied from interface: `GFFErrorHandler`
  The `end' field of the GFF entry was not a valid value.

  Specified by:
    `invalidEnd` in interface `GFFErrorHandler`
  Parameters:
    `token` - The end token found.
  Returns:
    A parsed value, if this is possible
  Throws:
    `IgnoreRecordException` - If this record should be silently skipped.

### invalidScore

    public double invalidScore(String token)
                        throws IgnoreRecordException

  Description copied from interface: `GFFErrorHandler`
  The `score' field of the GFF entry was not a valid value.

  Specified by:
    `invalidScore` in interface `GFFErrorHandler`
  Parameters:
    `token` - The score token found.
  Returns:
    A parsed value, if this is possible
  Throws:
    `IgnoreRecordException` - If this record should be silently skipped.

### invalidFrame

    public int invalidFrame(String token)
                     throws IgnoreRecordException

  Description copied from interface: `GFFErrorHandler`
  The `frame' field of the GFF entry was not a valid value.

  Specified by:
    `invalidFrame` in interface `GFFErrorHandler`
  Parameters:
    `token` - The frame token found.
  Returns:
    A parsed value, if this is possible
  Throws:
    `IgnoreRecordException` - If this record should be silently skipped.

### invalidStrand

    public StrandedFeature.Strand invalidStrand(String token)
                                         throws IgnoreRecordException

  Description copied from interface: `GFFErrorHandler`
  The `strand' field of the GFF entry was not a valid value.

  Specified by:
    `invalidStrand` in interface `GFFErrorHandler`
  Parameters:
    `token` - The strand token found.
  Returns:
    A parsed value, if this is possible
  Throws:
    `IgnoreRecordException` - If this record should be silently skipped.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD